<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/expense.php';
session_start();
date_default_timezone_set('Asia/Rangoon');
$database = new Database();
$db = $database->getConnection();
 
$expense = new Expense($db);
$data = json_decode(file_get_contents("php://input"));

$expense->date = $data->date;
$expense->voucher_no = $data->voucher_no;
$expense->expense_reason = $data->expense_reason;
$expense->particular = $data->particular;
$expense->quantity = $data->quantity;
$expense->amount = $data->amount;
$expense->expense_by = $data->expense_by;
$expense->city = $data->city;
$expense->accounting_view = isset($_SESSION['accounting_view'])?$_SESSION['accounting_view']:"";
$expense->entry_by = isset($_SESSION['user'])?$_SESSION['user']:"";
$expense->entry_date_time = date("Y-m-d H:i:s");

if($data->id){
	$expense->id = $data->id;
	if($expense->update()){
		$msg_arr = array(
			"message" => "updated"
		);
	}else{
		$msg_arr = array(
			"message" => "errorIU"
		);
	}
}else{
	if($expense->create()){
		$msg_arr = array(
			"message" => "created"
		);
	}else{
		$msg_arr = array(
			"message" => "errorc"
		);	
	}
}


echo json_encode($msg_arr);
?>	